<div class="searchbox">
    <div>
        <mat-form-field appearance="standard">
            <mat-label>{{'contacts.filterContact'|translate}}</mat-label>
            <input type="search" matInput placeholder="Ex: Andrei" (keyup)="applyFilter($event)">
        </mat-form-field>
        <button mat-icon-button style="display:inline-block;">
            <mat-icon matSuffix>search</mat-icon>
        </button>
    </div>
    <span class="spacer"></span>
    <div>
        <button mat-mini-fab color="accent" *ngIf="!isSelection" (click)="addContactDialog()">
            <mat-icon>add</mat-icon>
        </button>
    </div>
    <div style="width: 1rem;"></div>
    <div>
        <button mat-mini-fab color="accent" [matMenuTriggerFor]="contactsMenu"
            [disabled]="selectionCount===0 || selectionCount === undefined">
            <mat-icon>more_vert</mat-icon>
        </button>
        <mat-menu #contactsMenu="matMenu">
            <span *ngIf="!isSelection">
                <button mat-menu-item (click)="addListContactDialog()">
                    <mat-icon color="primary">playlist_add</mat-icon>
                    <span>{{'contacts.addToList'|translate}}</span>
                </button>
                <mat-divider></mat-divider>
                <button mat-menu-item (click)="confirm(remove)">
                    <mat-icon color="warn">delete</mat-icon>
                    <span>{{'contacts.remove'|translate}}</span>
                </button>
            </span>
            <span *ngIf="isSelection">
                <button mat-menu-item [mat-dialog-close]="selectedContacts">
                    <mat-icon color="accent">contact_mail</mat-icon>
                    <span>{{'contacts.sendSms'|translate}}</span>
                </button>
            </span>
        </mat-menu>
    </div>
</div>